AutoCAD Architecture Forum
Welcome to Autodesk’s AutoCAD Architecture Forums. Share your knowledge, ask questions, and explore popular AutoCAD Architecture topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Align to scale lsp

2 REPLIES 2
SOLVED
Reply
Message 1 of 3
Anonymous
496 Views, 2 Replies

Align to scale lsp

Hi,

 

Apologies as I'm not a lisp programmer and hoping anyone is able to help, I've been using the align lsp below for some time now and find it quite useful. I would however appreciate it if someone could assist in have the lsp answer "yes" to the scale option as opposed to what it's currently doing to simply automatically answer "no" and then simply align the object without having to choose the option. It does make life a little easier.

 

(DEFUN C:GN(/ gp)(setq gp (ssget))(COMMAND "align" gp "" (setq P1 (getpoint "\nSpecify 1st source point:"))
(setq P2 (getpoint "\nSpecify 1st destination point:"))
(setq P3 (getpoint "\nSpecify 2nd source point:"))
(setq P4 (getpoint "\nSpecify 2nd destination point:"))""""))

 

 

Any help is appreciated.

 

Thanks

 

Ashley

2 REPLIES 2
Message 2 of 3
massimo.corradi
in reply to: Anonymous

Hello Ashley,

 

that would be here:

 

(DEFUN C:GN(/ gp)(setq gp (ssget))(COMMAND "align" gp "" (setq P1 (getpoint "\nSpecify 1st source point:"))
(setq P2 (getpoint "\nSpecify 1st destination point:"))
(setq P3 (getpoint "\nSpecify 2nd source point:"))
(setq P4 (getpoint "\nSpecify 2nd destination point:"))"" "Yes"))

 

 

Message 3 of 3
Anonymous
in reply to: massimo.corradi

Awesome! Massimo.Corradi, 

 

I was actually looking into the lsp programming and was playing around with the Yes input i realize also that the "" means enter and I was missing that part. Thanks so much, much appreciated, works like a charm! 

 

🙂

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report